lfnetwork.com mark read register faq members calendar

Thread: I can't get kotor tool to work at all- PLEASE help!
Thread Tools Display Modes
Post a new thread. Add a reply to this thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Old 03-16-2006, 01:27 PM   #1
DarthMaul v.1/2
Banned
 
DarthMaul v.1/2's Avatar
 
Status: Banned
Join Date: Mar 2006
Location: The bottom of that well, inside the Naboo Royal Palace- I converted it to a decent 1/2 flat...
Posts: 112
I can't get kotor tool to work at all- PLEASE help!

Hello, I am a nOOb to the modding scene, and I am having trouble! Surprised? Anyway, I have downloaded KT and the .net program that KT needs to run( I loaded .net first per KT instructions), and when I install KT it gets to the FINISH prompt ( the last screen of KT install), KotOR Tool then fails to open and this warning/error is displayed: kotor_tool.exe - Common Language Runtime - Application has generated an exception that could not be handled - Process=id=0x394 (916), Thread=0x120(288) - CLICK OK to terminate application CLICK CANCEL to debug the application - I tried the de-bugging process but that went nowhere! I am completely lost (and more than a little frustrated! ), like I said I am a nOOb with little or no "techie" aptitude --- ANY help here would be greatly appreciated!
DarthMaul v.1/2 is offline   you may: quote & reply,
Old 03-16-2006, 04:07 PM   #2
Det. Bart Lasiter
obama.png
 
Det. Bart Lasiter's Avatar
 
Join Date: Mar 2005
Location: `(.)~
Posts: 7,997
Current Game: all
Forum Veteran LF Jester 
What version of the .NET Framework do you have (there's 1.0, 1.1, 2.0b, and 2.0)? A lot of applications written with one will not work with the others.



"No, Mama. You can bet your sweet ass and half a titty whoever put that hit on you already got the cops in their back pocket." ~Black Dynamite
Det. Bart Lasiter is offline   you may: quote & reply,
Old 03-16-2006, 05:11 PM   #3
DarthMaul v.1/2
Banned
 
DarthMaul v.1/2's Avatar
 
Status: Banned
Join Date: Mar 2006
Location: The bottom of that well, inside the Naboo Royal Palace- I converted it to a decent 1/2 flat...
Posts: 112
Question

Quote:
Originally Posted by jmac7142
What version of the .NET Framework do you have (there's 1.0, 1.1, 2.0b, and 2.0)? A lot of applications written with one will not work with the others.
Hello, jmac. First of all I'd like to thank you for responding to my question! It has been frustrating trying to get some answers, so I appreciate the help! To answer your question, I downloaded and installed .NET Framework 1.1, as this is the version specified on KT site for use with the current version of TOOL. I installed .NET 1.1 BEFORE I downloaded and installed KT (according to Fred Tetra's instructions on KT site). I also am running Intenet Explorer version 6.0 --- also one of the requirements on KT site. As far as I can tell, I have followed the steps correctly. Is it necessary to have the previous version of .NET Framework (1.0) or the newest versions to launch KT? Like I said, I have followed the steps that were laid out and still nothing but the ERROR message. Any further help would be great!
DarthMaul v.1/2 is offline   you may: quote & reply,
Old 03-16-2006, 05:24 PM   #4
Kitty Kitty
Junior Member
 
Kitty Kitty's Avatar
 
Join Date: Jan 2004
Location: USA
Posts: 355
I do know that the next planned release of KT is going to require the new .NET version, but the one you've got currently should work with 1.1

It wouldn't be a bad idea to install any/all of the .NETs you can get your hands on, since from what I understand some of the functions in the older versions aren't duplicated in newer versions, and having a newer version is usually better than having an older version since something compiled to run on say 1.1 will normally work on 2.0, but not the other way around.

It's sort of a mess, which is in fact exactly why you're not getting a lot of feedback on your issue. The error you're having is rather on the in-depth technical side of things, and few people other than Fred probably have anything more than a wide-angle guess as to what the hell is going on. Since Fred himself is currently mostly offline with equipment failure on his machine, he's a little slower than usual about catching these things.

My best advice would be to uninstall all your .NET stuff, uninstall (if you can) KT, then reboot. Then re-install your .NET stuff. starting with the oldest first and working on up to the current version -and it may be wise to reboot after each of these as well just to be sure all changes are applied. Then try installing KT again.

If that doesn't work, track any and all errors you get very carefully so you can post them exactly here, and then all I can suggest is try to be patient until someone with a deeper knowledge of what's happening can get in here and try to give you better answers.

Sorry I can't be more help,
-Kitty


Kitty Kitty is offline   you may: quote & reply,
Old 03-16-2006, 07:29 PM   #5
DarthMaul v.1/2
Banned
 
DarthMaul v.1/2's Avatar
 
Status: Banned
Join Date: Mar 2006
Location: The bottom of that well, inside the Naboo Royal Palace- I converted it to a decent 1/2 flat...
Posts: 112
Quote:
Originally Posted by Kitty Kitty
I do know that the next planned release of KT is going to require the new .NET version, but the one you've got currently should work with 1.1

It wouldn't be a bad idea to install any/all of the .NETs you can get your hands on, since from what I understand some of the functions in the older versions aren't duplicated in newer versions, and having a newer version is usually better than having an older version since something compiled to run on say 1.1 will normally work on 2.0, but not the other way around.

It's sort of a mess, which is in fact exactly why you're not getting a lot of feedback on your issue. The error you're having is rather on the in-depth technical side of things, and few people other than Fred probably have anything more than a wide-angle guess as to what the hell is going on. Since Fred himself is currently mostly offline with equipment failure on his machine, he's a little slower than usual about catching these things.

My best advice would be to uninstall all your .NET stuff, uninstall (if you can) KT, then reboot. Then re-install your .NET stuff. starting with the oldest first and working on up to the current version -and it may be wise to reboot after each of these as well just to be sure all changes are applied. Then try installing KT again.

If that doesn't work, track any and all errors you get very carefully so you can post them exactly here, and then all I can suggest is try to be patient until someone with a deeper knowledge of what's happening can get in here and try to give you better answers.

Sorry I can't be more help,
-Kitty
Hey Kitty, thank you for taking the time to try and answer my question! I really appreciate jmac and you for trying to help. I kind of figured it might take some time for one of the Jedi Masters (Fred, stoffe, chainz2da, etc...) to give me some hints to resolve this. It is just hard to wait patiently, especially for someone like me that is anxious to begin modding, but I know I'm not the only one! I apologize for taking so long to reply, I've been on- and -offline alot today. I will take your advice and just D/L all versions of .NET Framework and re-boot everything...
DarthMaul v.1/2 is offline   you may: quote & reply,
Old 03-17-2006, 01:35 AM   #6
Darkkender
Knight of Holowan
 
Darkkender's Avatar
 
Join Date: Aug 2004
Location: In the mountains of Oregon
Posts: 2,953
Current Game: Star Wars The Old Republic
Veteran Modder 
The above error has happened to me in the past after installing new versions of KT. alot of times a simple reboot does the trick. However this could very well be because your .NET package needs to be patched as well. Chainz.2da had a link to a patch/update for .NET 1.1 in one of the threads. Also it could be that the latest version is making calls to .NET 2.0 now I'm unsure. Also as a note to all. Each of the .NET installations are effectively stand alone. There are some features that were present in .NET 1.0 that are not in 1.1 same as with .NET 2.0. Each of these install to there own runtime libraries and do not overwrite the previous versions other than some shared components.

Also it might be a while before we get any further clarification from Fred as he had component failures on his programming machine. If Fred sees my post in his thread about his crash we might have him up and running within a couple of weeks.


Working so, we will learn history as a tree knows it; we will climb into shapes printed in the seed; we will become time made visible, years made fragrant; we will make of concentric memory a stem of praise; we will inhabit daylight at a trees own speed; we will be travelers who remain, patriots to this ground.
OMG I only rank 62.13018% geek or a Extreme Geek as it is referred to on the geektest at Geektest
[TSL]Holowan Plugin
Darkkender is offline   you may: quote & reply,
Old 03-17-2006, 02:15 AM   #7
DarthMaul v.1/2
Banned
 
DarthMaul v.1/2's Avatar
 
Status: Banned
Join Date: Mar 2006
Location: The bottom of that well, inside the Naboo Royal Palace- I converted it to a decent 1/2 flat...
Posts: 112
Hello, Darkkender! I am pleased to meet you, your "Gaurdian Sabers/workbench" MOD is 1 of my favorites! I appreciate the feedback, like I said to Kitty earlier, I kind of figured it might take a while to get a solid solution( seems like these kinds of problems ALWAYS do) . I think I am just going to clear everything and re-boot ALL versions of .NET Framework and a new KT as well. However, I would still appreciate any more help you guys may have, so please keep me in mind if you hear of any similar problems or solutions, your help and consideration is ALWAYS appreciated!

On a side note to you Darkkender, as I said before, I am new to this, but I had a request about your TSL Halowan Plug- In mod--- What exactly are the different MODS that are incorporated in it? It is a combination of several MODS isn't it? Can you post a thead with the actual breakdown of what MODS are incorporated in the TSL Plug- In? I know this is off-topic and is probably already in another thread, but I've had trouble finding a current breakdown anywhere so I figured, "hey, why not ask the man himself?". Thanks again, Darkkender!

Try here... Link to TSL Plugin Mod thread.

Just an FYI there DarthMaul you can send a Private Message (PM) to any other user by clicking on their name in one of their posts. Better than taking a thread off-topic.
-RH

Last edited by RedHawke; 03-17-2006 at 03:05 AM.
DarthMaul v.1/2 is offline   you may: quote & reply,
Post a new thread. Add a reply to this thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Go Back   LucasForums > Network > Knights of the Old Republic > Editing / Modding > T3-M4's Astromech Droid Center > KotOR Tool > I can't get kotor tool to work at all- PLEASE help!

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 04:02 AM.

LFNetwork, LLC ©2002-2011 - All rights reserved.
Powered by vBulletin®
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.